Bug 270185 - [PHP7.1] Regenerate signature files
[PHP7.1] Regenerate signature files
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Code
Dev
All All
: P2 (vote)
: Dev
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-24 09:59 UTC by junichi11
Modified: 2017-06-13 12:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (39.16 KB, image/png)
2017-04-24 10:35 UTC, Tomas Mysik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description junichi11 2017-03-24 09:59:57 UTC
Could you please regenerate signature files for PHP7.1?

Thanks!
Comment 1 Tomas Mysik 2017-03-24 15:03:38 UTC
I should have PHP 7.1 soon I hope (with new version of Kubuntu) so then I will do it.

Thanks.
Comment 2 Tomas Mysik 2017-04-24 10:32:06 UTC
Sigfiles regenerated and improved a bit (using some PHP 7.1 features in some places).

http://hg.netbeans.org/web-main/rev/30b1a0e09219

Junichi, please verify this issue (usually, verifying that there is no parsing error from PHP sigfiles is fine; simply start NetBeans with a clean userdir and open any PHP project :)

Thanks.
Comment 3 Tomas Mysik 2017-04-24 10:35:13 UTC
BTW should not we show e.g. "?string" in code completion? What do you think, Junichi? One would immediately see (from the code, no need to have PhpDoc) whether the parameter is nullable or not... Will attach a screenshot for PDO constructor, you will need new PHP signatures from this issue ;)

Thanks!
Comment 4 Tomas Mysik 2017-04-24 10:35:40 UTC
Created attachment 164169 [details]
screenshot
Comment 5 Tomas Mysik 2017-04-24 10:37:11 UTC
(In reply to Tomas Mysik from comment #3)
> BTW should not we show e.g. "?string" in code completion? What do you think,
> Junichi? One would immediately see (from the code, no need to have PhpDoc)
> whether the parameter is nullable or not...

BTW I am not sure about it, maybe it is not a good idea at all... Just thinking about it, please, let me know what is your opinion. Thanks!
Comment 6 Tomas Mysik 2017-04-24 14:11:58 UTC
Sorry, need to reopen this issue and fix the generated sigfiles. I will revert nullable types declaration, it is not correct.

Sorry for inconveniences.
Comment 7 Tomas Mysik 2017-04-24 14:20:40 UTC
(In reply to Tomas Mysik from comment #6)
> Sorry, need to reopen this issue and fix the generated sigfiles. I will
> revert nullable types declaration, it is not correct.

Junichi, because of this, please ignore my question related to code-completion.

Thanks.
Comment 8 junichi11 2017-04-24 14:26:37 UTC
(In reply to Tomas Mysik from comment #7)
> (In reply to Tomas Mysik from comment #6)
> > Sorry, need to reopen this issue and fix the generated sigfiles. I will
> > revert nullable types declaration, it is not correct.
> 
> Junichi, because of this, please ignore my question related to
> code-completion.

I see. I've just verified it. Then I also noticed about that :)

Thanks.
Comment 9 Tomas Mysik 2017-04-24 14:30:10 UTC
Should be now fixed properly.

Thanks.

http://hg.netbeans.org/web-main/rev/810d6f2cbe0b
Comment 10 junichi11 2017-04-24 15:10:24 UTC
Verified. It seems that there is no parsing error.(I just rebuilt NB and opened a PHP project. Then checked CC of PDO.) Thanks a lot!

Product Version: NetBeans IDE Dev (Build 20170424-810d6f2cbe0b)
Java: 1.8.0_121; Java HotSpot(TM) 64-Bit Server VM 25.121-b13
Runtime: Java(TM) SE Runtime Environment 1.8.0_121-b13
System: Linux version 4.4.0-72-generic running on amd64; UTF-8; ja_JP (nb)
Comment 11 Tomas Mysik 2017-04-24 17:10:10 UTC
Thanks a lot!
Comment 12 Quality Engineering 2017-04-25 02:52:31 UTC
Integrated into 'main-silver', will be available in build *201704250002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/30b1a0e09219
User: Tomas Mysik <tmysik@netbeans.org>
Log: #270185 - [PHP7.1] Regenerate signature files
Comment 13 Tomas Mysik 2017-06-09 07:12:02 UTC
Reopening, we now have context-sensitive lexer.
Comment 14 Tomas Mysik 2017-06-09 07:14:19 UTC
Regenerated, please verify. Thank you!

http://hg.netbeans.org/web-main/rev/55271c16284b
Comment 15 Quality Engineering 2017-06-10 02:24:29 UTC
Integrated into 'main-silver', will be available in build *201706100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/55271c16284b
User: Tomas Mysik <tmysik@netbeans.org>
Log: #270185 cont'd - [PHP7.1] Regenerate signature files
Comment 16 Tomas Mysik 2017-06-12 06:02:13 UTC
Reopening, @method is generated for every method, this is incorrect, of course. Will fix it.

Thanks.
Comment 17 Tomas Mysik 2017-06-12 07:10:41 UTC
Should be fixed now, please verify, thanks.

http://hg.netbeans.org/web-main/rev/eaaeeb9931d9
Comment 18 Quality Engineering 2017-06-13 02:48:30 UTC
Integrated into 'main-silver', will be available in build *201706130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/eaaeeb9931d9
User: Tomas Mysik <tmysik@netbeans.org>
Log: #270185 cont'd - [PHP7.1] Regenerate signature files

Methods were duplicated, fixed now.
Comment 19 junichi11 2017-06-13 12:42:56 UTC
Thank you! Verified. There is no error when a PHP project is opened. Probably, there are no duplicate methods in a CC list.

Product Version: NetBeans IDE Dev (Build 201706130001)
Java: 1.8.0_131; Java HotSpot(TM) 64-Bit Server VM 25.131-b11
Runtime: Java(TM) SE Runtime Environment 1.8.0_131-b11
System: Linux version 4.4.0-79-generic running on amd64; UTF-8; ja_JP (nb)
Comment 20 Tomas Mysik 2017-06-13 12:53:26 UTC
Thank you for verification, Junichi!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo